Bug 811849 - Review Request: python-cdb - Constant database library adapted as a python extension module
Summary: Review Request: python-cdb - Constant database library adapted as a python ex...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-12 06:28 UTC by kushaldas@gmail.com
Modified: 2012-07-19 08:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-19 08:58:03 UTC
Type: ---
pj.pandit: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description kushaldas@gmail.com 2012-04-12 06:28:32 UTC
Spec URL: http://kushal.fedorapeople.org/packages/python-cdb.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-cdb-0.34-1.fc16.src.rpm
Description: D. J. Bernstein's constant database library adapted as a python extension module. Like GDBM and kin, cdb files map keys to values. The file format boasts wickedly fast lookups and atomic updates.

Koji scratch build URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=3984777

Comment 1 pjp 2012-04-15 09:35:38 UTC
[X] Package name - ok.
[X] Package group - ok.
[?] Package license

  - The /usr/share/doc/python-cdb-0.34/README file says that the source is
    released under GPLv2+. But the RPM spec file says the package license
    is - Python.

  - Please install the COPYING file along with the README and Example files. 

[X] Build successful - ok.

[x] $ rpmlint SRPMS/python-cdb-0.34-1.fc16.src.rpm 
python-cdb.src: W: spelling-error %description -l en_US Bernstein's -> Bern stein's, Bern-stein's, Bernstein
python-cdb.src: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

  - ok.

[X] $ rpmlint SPECS/python-cdb.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] $ rpmlint RPMS/x86_64/python-cdb-0.34-1.fc16.x86_64.rpm 
python-cdb.x86_64: W: spelling-error %description -l en_US Bernstein's -> Bern stein's, Bern-stein's, Bernstein
python-cdb.x86_64: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

  - ok.

[X] Install/Un-install - ok.

[?] Please try and fix the spelling errors above.

Comment 2 kushaldas@gmail.com 2012-05-14 18:54:40 UTC
New SPEC URL: http://kushal.fedorapeople.org/packages/python-cdb.spec
New SRPM URL: http://kushal.fedorapeople.org/packages/python-cdb-0.34-3.fc16.src.rpm

The spelling mistake showing is a name and another word is from upstream description.

Comment 3 pjp 2012-05-30 15:40:07 UTC
[X] Package name - ok.
[X] Package group - ok.
[X] Package license - ok.
[X] Build successful - ok.

[X] $ rpmlint SPECS/python-cdb.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] $ rpmlint SRPMS/python-cdb-0.34-3.fc16.src.rpm 
python-cdb.src: W: spelling-error %description -l en_US Bernstein's -> Bern stein's, Bern-stein's, Bernstein
python-cdb.src: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

  - ok.

[X] $ rpmlint RPMS/x86_64/python-cdb-0.34-3.fc16.x86_64.rpm 
python-cdb.x86_64: W: spelling-error %description -l en_US Bernstein's -> Bern stein's, Bern-stein's, Bernstein
python-cdb.x86_64: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

  - ok.

[X] Install/Uninstall - ok.

Overall good.

Comment 4 pjp 2012-05-30 15:41:04 UTC
Approved.

Comment 5 kushaldas@gmail.com 2012-06-05 07:15:07 UTC
New Package SCM Request
=======================
Package Name: python-cdb
Short Description: Constant database library adapted as a python extension module
Owners: kushal
Branches: f17 el6
InitialCC: kushal

Comment 6 Gwyn Ciesla 2012-06-05 12:27:19 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-06-06 18:10:18 UTC
python-cdb-0.34-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-cdb-0.34-3.fc17

Comment 8 Fedora Update System 2012-06-30 21:50:23 UTC
Package python-cdb-0.34-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-cdb-0.34-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10072/python-cdb-0.34-3.fc17
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-07-19 08:58:03 UTC
python-cdb-0.34-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.